%define debug_package %{nil}

Name: libevt
Version: 20160421
Release: 1%{?dist}
Summary: Library to access the Windows Event Log (EVT) format
Group: System Environment/Libraries
License: LGPL
Source: %{name}-alpha-%{version}.tar.gz
%if 0%{?centos} == 5
Patch1: %{name}-%{version}-patch-001
%endif
URL: http://code.google.com/p/libevt/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
                 
                 

%description
libevt is a library to access the Windows Event Log (EVT) format

%package devel
Summary: Header files and libraries for developing applications for libevt
Group: Development/Libraries
Requires: libevt = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libevt.

%package tools
Summary: Several tools for reading Windows Event Log (EVT) files
Group: Applications/System
Requires: libevt = %{version}-%{release}      
      

%description tools
Several tools for reading Windows Event Log (EVT) files

%package python
Summary: Python bindings for libevt
Group: System Environment/Libraries
Requires: libevt = %{version}-%{release} python
BuildRequires:  %(basename %{__python})-devel

%description python
Python bindings for libevt

%prep
%setup -q
%if 0%{?centos} == 5
%patch1 -p1
%endif

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%if 0%{?centos} == 5
sed --in-place 's/^CC.*=.*gcc$/CC = gcc -std=c99/' pyevt/Makefile
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libevt.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/evtexport
%attr(755,root,root) %{_bindir}/evtinfo
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%changelog
* Thu Apr 21 2016 Lawrence R. Rogers <lrr@cert.org> 20160421-1
* Release 20160421-1
	20160126
	* worked on tests

	20160124
	* applied updates
	* worked on tests

	20160109
	* fixes for rpmbuild

* Thu Jan  7 2016 Lawrence R. Rogers <lrr@cert.org> 20160107-1
* Release 20160107-1
	20160107
	* worked on Python 3 support
	* 2016 update

	20151221
	* applied updates

* Sun Dec  6 2015 Lawrence R. Rogers <lrr@cert.org> 20151206-1
* Release 20151206-1
	20151206
	* updated libfwnt

	20151205
	* worked on Python bindings

	20150726
	* worked on tests

	20150725
	* worked on setup.py

	20150707
	* worked on check signature

* Mon Jul  6 2015 Lawrence R. Rogers <lrr@cert.org> 20150706-1
* Release 20150706-1
	Bug fixes

* Sat May 30 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-2
* Release 20150105-2
	Libuna GCC-5 patch

* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-1
* Release 20150105-1
	20150105
	* 2015 update

	20141229
	* updated dependencies
	* updated version for release

	20141228
	* updated dpkg files

	20141222
	* worked on Python 3 support

	20141220
	* worked on Python 3 support

	20141218
	* worked on tests

	20141217
	* worked on Python 3 support

	20141129
	* code clean up

	20141117
	* code clean up

* Sun Oct 26 2014 Lawrence R. Rogers <lrr@cert.org> 20141026-1
	20141026
	* changes for deployment

	20141019
	* changes for deployment

	20141009
	* updated dependencies and corresponding changes

	20141004
	* update Python-bindings tests

	20140928
	* removed README.macosx
	* changes for project site move

	20140831
	* bug fix in Python-bindings

* Thu Jul 31 2014 Lawrence R. Rogers <lrr@cert.org> 20140731-1
	20140731
	* bug fix in Python-bindings

	20140723
	* worked on dpkg debug packages support

* Sat May 31 2014 Joachim Metz <joachim.metz@gmail.com> 20140531-1
	20140531
	* updated msvscpp files

	20140530
	* updated dependencies
	* worked on Python-bindings
	* replaced PackageMaker for pkgbuild

	20140411
	* bug fix for strings offset correction if member data > 0

	20140402
	* code clean up

	20140323
	* worked on Python-bindings

	20140317
	* updated dependencies
	* worked on setup.py
	* worked on Python-bindings

	20140131
	* removed examples

* Sun Jan 12 2014 Joachim Metz <joachim.metz@gmail.com> 20140112-1
- Auto-generated

